diff TOOLS/checktree.sh @ 25281:cf9a7a933032

test for presence of .svn directory if we are supposed to traverse the tree according to svn info .svn might be missing (i.e. after svn export)
author ivo
date Wed, 05 Dec 2007 23:36:03 +0000
parents 89458daaee5f
children 5ed3c0a5cf4f
line wrap: on
line diff
--- a/TOOLS/checktree.sh	Wed Dec 05 19:07:25 2007 +0000
+++ b/TOOLS/checktree.sh	Wed Dec 05 23:36:03 2007 +0000
@@ -168,6 +168,13 @@
     COLE=""
 fi
 
+# Test presence of svn info
+
+if [ "$_svn" = "yes" -a ! -d .svn ] ; then
+    echo "No svn info available. Please use -nosvn." >&2
+    exit 1
+fi
+
 # Generate filelist once so -svn isn't _that_ much slower than -nosvn anymore
 
 filelist=`all_filenames`